/* automatic persistence setting for ax.25 interfaces */

#define SLOTS		53		/* number of call hashvalues */

struct persist {
	struct persist *next;		/* links to others */
	struct persist *prev;
	struct interface *iface;	/* associated interface */
	int p0;				/* p = p0 / n_users */
	int p_min,p_max;		/* min and max values to send */
	int p;				/* last value sent to TNC */
	int n_users;			/* number of users on channel */
	unsigned char pt_incr;		/* increment per user heard */
	unsigned char pt_max;		/* max valid time per slot */
	unsigned char heard[SLOTS];	/* timers for each hashvalue */
};

#define NULLPERSIST	(struct persist *) 0

#define P0		128		/* default p0 */
#define P_MIN		5		/* default p_min */
#define P_MAX		64		/* default p_max */

#define PT_INTER	15		/* timer interval */
#define PT_INCR		4		/* increment per upd_nusers() */
#define PT_MAX		60		/* maximal time */
